summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorLuo Jinghua <sunmoon1997@gmail.com>2011-02-17 15:12:19 +0800
committerLuo Jinghua <sunmoon1997@gmail.com>2011-02-17 15:12:19 +0800
commite104e3252148092fcbe8abd0600b66a341895851 (patch)
treeb5f039c80dfd3883f29ee96c78354c2d98005ad2
parent178834a8d1ce5a48b2ed83844d2813ef6b68625f (diff)
wayland: added wayland and wayland-demos
-rw-r--r--x11-base/wayland-demos/Manifest1
-rw-r--r--x11-base/wayland-demos/wayland-demos-9999.ebuild49
-rw-r--r--x11-base/wayland/Manifest1
-rw-r--r--x11-base/wayland/wayland-9999.ebuild49
4 files changed, 100 insertions, 0 deletions
diff --git a/x11-base/wayland-demos/Manifest b/x11-base/wayland-demos/Manifest
new file mode 100644
index 0000000..17eea66
--- /dev/null
+++ b/x11-base/wayland-demos/Manifest
@@ -0,0 +1 @@
+EBUILD wayland-demos-9999.ebuild 1039 RMD160 a9cab7e5cc34767293484668fe8b5ca6316a43e2 SHA1 2bc4c6b9d409837a4a21b406c589bc757979c8d5 SHA256 18a4d8e320f79a11a0d11cb8e14bfc205755f3108cf862eaa303df4fb5da12e0
diff --git a/x11-base/wayland-demos/wayland-demos-9999.ebuild b/x11-base/wayland-demos/wayland-demos-9999.ebuild
new file mode 100644
index 0000000..d01eff7
--- /dev/null
+++ b/x11-base/wayland-demos/wayland-demos-9999.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=4
+
+inherit xorg-2
+
+DESCRIPTION="A nano display server, relying on kernel modesetting"
+HOMEPAGE="http://wayland.freedesktop.org/"
+EGIT_REPO_URI="git://anongit.freedesktop.org/git/wayland/${PN}"
+
+LICENSE="CCPL-Attribution-ShareAlike-3.0 MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+# cairo opengl is automagic
+RDEPEND="app-text/poppler[cairo]
+ dev-libs/expat
+ dev-libs/glib:2
+ media-libs/mesa[gles,gallium]
+ >=sys-fs/udev-136
+ >=x11-libs/cairo-1.10[opengl]
+ x11-libs/gtk+:2
+ >=x11-libs/libdrm-2.4.23
+ x11-libs/libxcb
+ x11-libs/libxkbcommon
+ x11-base/wayland"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ # install the programs too
+ # this should be fixed in makefile.am
+ sed -i \
+ -e "/PROGRAMS/s/noinst_/bin_/" \
+ {compositor,clients}"/Makefile.am" || die
+
+ xorg-2_src_prepare
+}
+
+src_install() {
+ xorg-2_src_install
+
+ cd "${ED}/usr/bin"
+ for binary in $(echo *); do
+ mv "${binary}" "wayland-${binary}" || die
+ done
+}
diff --git a/x11-base/wayland/Manifest b/x11-base/wayland/Manifest
new file mode 100644
index 0000000..04acf4f
--- /dev/null
+++ b/x11-base/wayland/Manifest
@@ -0,0 +1 @@
+EBUILD wayland-9999.ebuild 1044 RMD160 5d24945d30c9d57474bac797e30f15e5a39aa3db SHA1 89fa89fb32d915ce07719f40e577420251ad0a87 SHA256 51a99bf9060d0eaaf197daf2ec51e6ef3f40a214eb95722c501c174447dafb11
diff --git a/x11-base/wayland/wayland-9999.ebuild b/x11-base/wayland/wayland-9999.ebuild
new file mode 100644
index 0000000..22b2230
--- /dev/null
+++ b/x11-base/wayland/wayland-9999.ebuild
@@ -0,0 +1,49 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+EAPI=4
+
+inherit xorg-2
+
+DESCRIPTION="A nano display server, relying on kernel modesetting"
+HOMEPAGE="http://wayland.freedesktop.org/"
+EGIT_REPO_URI="git://anongit.freedesktop.org/git/wayland/${PN}"
+
+LICENSE="CCPL-Attribution-ShareAlike-3.0 MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE=""
+
+# cairo opengl is automagic
+RDEPEND="app-text/poppler[cairo]
+ dev-libs/expat
+ dev-libs/glib:2
+ media-libs/mesa[gles,gallium]
+ >=sys-fs/udev-136
+ >=x11-libs/cairo-1.10[opengl]
+ x11-libs/gtk+:2
+ >=x11-libs/libdrm-2.4.23
+ x11-libs/libxcb
+ x11-libs/libxkbcommon
+ virtual/libffi"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+ # install the programs too
+ # this should be fixed in makefile.am
+ #sed -i \
+ # -e "/PROGRAMS/s/noinst_/bin_/" \
+ # {compositor,clients}"/Makefile.am" || die
+
+ xorg-2_src_prepare
+}
+
+src_install() {
+ xorg-2_src_install
+
+ #cd "${ED}/usr/bin"
+ #for binary in $(echo *); do
+ # mv "${binary}" "wayland-${binary}" || die
+ #done
+}